Name: xfprint
Version: 4.6.1
Release: alt5

Summary: Print dialog and printer manager for XFce
Summary (ru_RU.UTF-8): Менеджер печати для окружения рабочего стола Xfce
License: %gpl2plus
Group: Graphical desktop/XFce
Url: http://www.xfce.org/
Packager: XFCE Team <xfce@packages.altlinux.org>

Source: %name-%version.tar
Patch: xfprint-4.6.1-xfconf_channel_fix.diff

BuildRequires(pre): rpm-build-licenses

BuildPreReq: libxfcegui4-devel libxfce4util-devel libxfconf-devel xfce4-dev-tools
BuildRequires: gtk-doc intltool libcups-devel

%description
%name contains a print dialog and a printer manager for the XFce Desktop
Environment.

%description -l ru_RU.UTF-8
Xfprint это менеджер печати для окружения рабочего стола Xfce. Позволяет
выбирать систему печати, умалчиваемый принтер и производить печать
из всех приложений Xfce (например Mousepad). 

%package devel
Summary: Development files for print manager for XFce4
Group: Development/C++
%description devel
Development files for print manager for XFce4

%package devel-doc
Requires: xfprint-devel = %version
Summary: Documentation files for print manager for XFce4
Group: Development/Documentation
BuildArch: noarch

%description devel-doc
Documentation  files for print manager for XFce4

%prep
%setup
%patch -p0

%build
%configure \
	--disable-static \
	--enable-cups \
	--disable-letter \
	--enable-gtk-doc \
	--enable-debug=no
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README ChangeLog NEWS AUTHORS
%doc %_datadir/xfce4/doc/*/images/*
%doc %_datadir/xfce4/doc/*/*.html
%_desktopdir/*
%_bindir/*
%_iconsdir/hicolor/*/devices/printer.*
%_libdir/lib%name.so.*
%_libdir/xfce4/xfprint-plugins/*.so
%exclude %_libdir/xfce4/xfprint-plugins/*.la

%files devel
%_includedir/xfce4/lib%name/*
%_libdir/lib%name.so
%_pkgconfigdir/*.pc

%files devel-doc
%dir %_datadir/gtk-doc/html/libxfprint
%_datadir/gtk-doc/html/libxfprint/*

%changelog
* Mon Feb 21 2011 Mikhail Efremov <sem@altlinux.org> 4.6.1-alt5
- Package xfprint-devel-doc as noarch.
- Spec updated, sources: tar.bz2 -> tar.
- Fix License.
- Fix build with Xfce 4.8.
- Spec cleanup.

* Wed May 19 2010 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt4
- Add patch to close Xfce bug #6089 (from Gentoo, bug 278047).
- Added BuildReq to cups-devel for build xfprint plugin for cups. 

* Fri Dec 25 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt3
- Fix build with gtkdocize.

* Sun May 17 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt2
- Russian translation updated

* Mon Apr 20 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.1-alt1
- Xfce 4.6.1

* Sun Apr 12 2009 Denis Koryavov <dkoryavov@altlinux.org> 4.6.0-alt1
- Xfce 4.6.0

* Tue Jan 27 2009 Eugene Ostapets <eostapets@altlinux.ru> 4.5.99.1-alt1
- Xfce 4.6rc1

* Thu Jan 22 2009 Eugene Ostapets <eostapets@altlinux.ru> 4.5.93-alt1
- Xfce 4.6 beta 3

* Fri Oct 24 2008 Eugene Ostapets <eostapets@altlinux.org> 4.5.91-alt1
- Xfce 4.6 beta1

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt1
- Xfce 4.4.2 release

* Sun Jun 17 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt2
- fix 12006
- fix 11696

* Sat Apr 14 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt1
- Xfce 4.4.1 release

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.0-alt0.1
- Xfce 4.4 release

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  4.3.99.1-alt2
- Fix buildreq and cleanup spec

* Sun Oct 01 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt1
- 4.4rc1

* Tue Nov 15 2005 Eugene Ostapets <eostapets@altlinux.ru> 4.2.3-alt1
- 4.2.3

* Wed May 18 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.2-alt1
- 4.2.2

* Thu Mar 17 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.1-alt1
- 4.2.1

* Sat Jan 15 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.0-alt1
- 4.2.0

* Fri Dec 24 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.99.3-alt1
- 4.1.99.3

* Mon Nov 01 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.91-alt1
- 4.1.91

* Wed Jul 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.6-alt1
- 4.0.6

* Sat Apr 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt1
- 4.0.5

* Tue Mar 16 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Wed Jan 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt1
- 4.0.3

* Tue Dec 23 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.2-alt1
- 4.0.2

* Tue Nov 18 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Fri Sep 26 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt1
- 4.0.0

* Fri Sep 12 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.4-alt1
- 3.99.4

* Fri Aug 29 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.3-alt0.9
- 3.99.3

* Sun Aug 17 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.2-alt0.9
- 3.99.2

* Mon Jul 14 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.1-alt0.9
- 3.99.1

* Fri Jun 13 2003 Andrey Astafiev <andrei@altlinux.ru> 3.90.0-alt0.9
- First version of RPM package for Sisyphus.
- Spec derived from original version.
